#ifndef TIMER_GRAPH_H
#define TIMER_GRAPH_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

typedef struct {
    int x;
    int y;
} TimerGraphPoint;

#define TIMER_TYPE_GRAPH timer_graph_get_type()
G_DECLARE_FINAL_TYPE(TimerGraph, timer_graph, TIMER, GRAPH, GtkBin);

GtkWidget *timer_graph_new(const TimerGraphPoint *verts, gsize length, const char *xLabel, const char *yLabel, const char *title);

G_END_DECLS

#endif /* TIMER_GRAPH_H */
